<?xml version = '1.0' encoding = 'windows-1252'?>
<!DOCTYPE orion-application PUBLIC "-//Evermind//DTD J2EE Application runtime 1.2//EN" "http://xmlns.oracle.com/ias/dtds/orion-application.dtd">
<orion-application>

   <!-- Include the library which contains the MBean classes -->
   <library path="simplembeans.jar"/>

   <!-- Statically register the MBeans for this application -->
   <jmx-mbean objectname=":name=Simple" class="demo.oc4j.jmx.standard.SimpleStandard">
     <description>A simple example of a StandardMBean</description>
     <attribute name="Count">
       <value>3336</value>
     </attribute>
   </jmx-mbean>

   <jmx-mbean objectname=":name=SimpleExtends" class="demo.oc4j.jmx.extendstandard.SimpleStandardExtend">
     <description>A simple example of an MBean that extends StandardMBean to provide it's own MBeanInfo</description>
   </jmx-mbean>

   <jmx-mbean objectname=":name=SimpleNotifier" class="demo.oc4j.jmx.notification.SimpleNotifier">
     <description>An example of the Simple MBean but now with Notifications</description>
   </jmx-mbean>

   <jmx-mbean objectname=":name=SimpleTimer" class="demo.oc4j.jmx.timer.SimpleTimer">
     <description>An example of using an MBean Timer to receive notification events</description>
   </jmx-mbean>

   <jmx-mbean objectname=":name=SimpleDynamicRegistration" class="demo.oc4j.jmx.dynamicregister.DynamicRegistration">
     <description>An example of registering the simple bean dynamically using a supplied name</description>
   </jmx-mbean>

  <!-- This will register the standard JMX MBean Timer as an MBean within OC4J
   <jmx-mbean objectname=":name=CommonTimer" class="javax.management.timer.Timer">
     <description>General Purpose Timer Bean</description>
   </jmx-mbean>
   -->
</orion-application>
